Restricting access in apache 2.4.X to specific windows group

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Restricting access in apache 2.4.X to specific windows group

Postby koool.vaibhav » 07. December 2017 12:49

In Apache 2.2.x (old version of apache) mod_auth_sspi works fine for restricting application access to a particular windows group users, as mentioned below:

<IfModule mod_auth_sspi.c>
<LocationMatch "(.*)/<Application_Location>/(.*)">
AuthName "Application_Name"
AuthType SSPI
SSPIAuth On
SSPIAuthoritative On
require group <Server_Name>\<Windows_Group_Name>
</LocationMatch>
</IfModule>

How this can be achieved in Apache 2.4.29 as there is on mod_auth_sspi available and supported in this version?
koool.vaibhav
 
Posts: 2
Joined: 07. December 2017 12:45
XAMPP version: 1.8.0
Operating System: Windows 7

Re: Restricting access in apache 2.4.X to specific windows g

Postby koool.vaibhav » 14. December 2017 06:09

I have easily done this thing in IIS webserver as i could not find any support in Apache.
koool.vaibhav
 
Posts: 2
Joined: 07. December 2017 12:45
XAMPP version: 1.8.0
Operating System: Windows 7

Re: Restricting access in apache 2.4.X to specific windows g

Postby Nobbie » 14. December 2017 11:27

The home of mod_auth_sspi says its valid for Apache 2.x: https://sourceforge.net/projects/mod-auth-sspi/

In fact, there is no development since many years, but did you check that version?
Nobbie
 
Posts: 10497
Joined: 09. March 2008 13:04

Re: Restricting access in apache 2.4.X to specific windows g

Postby gsmith » 15. December 2017 20:09

A little further digging one would find mod_authnz_sspi and also mod_authn_ntml, both are for Apache 2.4. Even people that have gotten it to work have shared how they did it.
Last edited by gsmith on 15. December 2017 20:40, edited 1 time in total.
gsmith
 
Posts: 237
Joined: 29. November 2013 18:04
Location: San Diego
XAMPP version: 0.0.0
Operating System: Win 7-10/VC 6,9,11,14,15

Re: Restricting access in apache 2.4.X to specific windows g

Postby gsmith » 15. December 2017 20:18

Nobbie wrote:In fact, there is no development since many years, but did you check that version?

Yes it's old. Even mod_authnz_sspi (same project, different branch) now is over 5 years old. mod_authn_ntlm is current. Both come from same mod_auth_sspi.

just FYI: 2.2 and 2.4 APIs are different and it won't load. Differences in the authentication/authorization functions as well.
gsmith
 
Posts: 237
Joined: 29. November 2013 18:04
Location: San Diego
XAMPP version: 0.0.0
Operating System: Win 7-10/VC 6,9,11,14,15


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 53 guests